#ifndef __EXTB_STATUS__H
#define __EXTB_STATUS__H

#include "extboardio.h"
#include <vdr/status.h>

class cExtBStatusMonitor : public cStatus {
  cExtBoardIO*    m_pExt;
 public: 
  cExtBStatusMonitor(cExtBoardIO*    pExt);
 protected:
  virtual void ChannelSwitch(const cDevice *Device, int ChannelNumber);
  virtual void Recording(const cDevice *pDevice, const char *szName, const char *szFileName, bool bOn);
  virtual void Replaying(const cControl *pControl, const char *szName, const char *szFileName, bool bOn);
  virtual void SetVolume(int Volume, bool Absolute);
  virtual void OsdClear(void);
  virtual void OsdTitle(const char *Title);
  virtual void OsdStatusMessage(const char *Message);
  virtual void OsdHelpKeys(const char *Red, const char *Green, const char *Yellow, const char *Blue);
  virtual void OsdCurrentItem(const char *Text);
  virtual void OsdTextItem(const char *Text, bool Scroll);
  virtual void OsdChannel(const char *Text);
  virtual void OsdProgramme(time_t PresentTime, const char *PresentTitle, const char *PresentSubtitle, time_t FollowingTime, const char *FollowingTitle, const char *FollowingSubtitle);
};

#endif
